<?
include("../../conexion/class-sb-conexion.php");
	//$campos_insert="";
	$dbx = new sb_mysql();
	$dbx->proceso($empresa_global);
	$mes_atual=$dbx->mes_actual;
	$ano_atual=$dbx->ano_actual;
	
	
	
	function invertir_fecha($str_fecha) {
    list($d1, $d2, $d3) = split("[/-]",$str_fecha);
 	$fecha = $d3."-".$d2."-".$d1;
 	return $fecha;
	}
	
	list($ano, $mes, $dias) = split("[/-]",$fecha_finiquito);
	
	
	if($fecha_finiquito!="0000-00-00"){
		if(($mes!=$mes_atual) || ($ano!=$ano_atual) ){
		 ?><script>alert("Error:La fecha de termino debe estar dentro del mes")</script><?
	 	exit();
		}
	}
	
	
	list($ano, $mes, $dias) = split("[/-]",$Fecha_Inicio);
	
	if($Fecha_Inicio!="0000-00-00"){
		if(($mes!=$mes_atual) || ($ano!=$ano_atual) ){
			?><script>alert("Error:La fecha de Inicio del movimiento debe estar dentro del mes")</script><?
	 		exit();
		}
	}
	
	list($ano, $mes, $dias) = split("[/-]",$Fecha_Termino);
	
	if($Fecha_Inicio!="0000-00-00"){
		if(($mes!=$mes_atual) || ($ano!=$ano_atual) ){
		 ?><script>alert("Error:La fecha de termino del movimiento debe estar dentro del mes")</script><?
		 exit();
		}
	}
	
	
	
			
	foreach( $campo as $key => $value ) {
    	
	$Query_update="update 
					sb_plantilla_haberes_descuentos 
					set Valor_Plantilla='".$value."'
					where Codigo_Plantilla='".str_replace("'","",$key)."'
					 ";
	echo $Query_update."<br>";
	$valores[str_replace("'","",$key)]='$value';
	$consulta = $dbx->consulta_free($Query_update);	
	
	}
	
	$Query_update="update 
					sb_datos_liquidacion set 
					Codigo_Mov_Liq='".$Codigo_Mov."',
					Fecha_Inicio_Mov_Liq='".$Fecha_Inicio."',
					Fecha_Termino_Mov_Liq='".$Fecha_Termino."'
					where Codigo_Liq='".$Codigo_Liq."' ";
	$consulta = $dbx->consulta_free($Query_update);
	
	if($dbx->modificacion==1){
	
	$Query_update="update 
					sb_datos_liquidacion set 
					Codigo_Afp_Liq='".$Codigo_Afp_Liq."',
					Porc_Afp_Liq='".$Porc_Afp_Liq."',
					Codigo_Isapre_Liq='".$Codigo_Isapre_Liq."'
					where Codigo_Liq='".$Codigo_Liq."' ";
	$consulta = $dbx->consulta_free($Query_update);
	
	}
	
	
	echo "|".$fecha_finiquito."|";
	if($fecha_finiquito!='0000-00-00'){
	$Query_update="update 
					sb_contratos_lista set 
					Fecha_Termino_Cont='".$fecha_finiquito."',
					Finiquito_Cont='1'
					where Codigo_Cont='".$Codigo_Cont."' ";
	$consulta = $dbx->consulta_free($Query_update);
	}else{
	$Query_update="update 
					sb_contratos_lista set 
					Fecha_Termino_Cont='0000-00-00',
					Finiquito_Cont='0'
					where Codigo_Cont='".$Codigo_Cont."' ";
	$consulta = $dbx->consulta_free($Query_update);
	}	
					
?>
<form name="calcular" action="pro_mov_liquidacion.php" target="Guardar" >
	<input name="rut" type="hidden"  value="<?=$rut?>" />
</form>
<script>
document.calcular.submit();
</script> 